Pause reads for an installation
curl --request POST \
--url https://read.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/installations/{installationId}:pause \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"objects": [
[
"account",
"contact"
]
],
"note": "<string>"
}
'import requests
url = "https://read.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/installations/{installationId}:pause"
payload = {
"objects": [["account", "contact"]],
"note": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({objects: [['account', 'contact']], note: '<string>'})
};
fetch('https://read.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/installations/{installationId}:pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Read
Pause reads for an installation
Pauses all scheduled reads for an installation. If reads are already paused, this will be a no-op. Accepts specific objects to pause reads for in the request body.
POST
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
/
installations
/
{installationId}
:pause
Pause reads for an installation
Authorizations
Path Parameters
The Ampersand project ID or project name.
The integration ID.
The Ampersand installation ID.
Body
application/json
Response
Reads paused successfully
Was this page helpful?
⌘I

